Update connection
Namespace: microsoft.graph.externalConnectors
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Update the properties of an externalConnection.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | ExternalConnection.ReadWrite.OwnedBy, ExternalConnection.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | ExternalConnection.ReadWrite.OwnedBy, ExternalConnection.ReadWrite.All |
HTTP request
PATCH /external/connections/{id}
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json. Required. |
Request body
In the request body, supply the values for relevant fields that should be updated. Existing properties that are not included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance, don't include existing values that haven't changed. The following properties can be updated.
| Property | Type | Description |
|---|---|---|
| configuration | microsoft.graph.externalConnectors.configuration | Specifies additional application IDs that are allowed to manage the connection and to index content in the connection. |
| description | String | Description of the connection displayed in the Microsoft 365 admin center. |
| name | String | The display name of the connection to be displayed in the Microsoft 365 admin center. Maximum length of 128 characters. |
Response
If successful, this method returns a 204 No Content response code.
Examples
Request
The following is an example of the request.
PATCH https://graph.microsoft.com/beta/external/connections/contosohr
Content-type: application/json
{
"name": "Contoso HR Service Tickets",
"description": "Connection to index HR service tickets"
}
Response
The following is an example of the response.
HTTP/1.1 204 No Content
Feedback
Submit and view feedback for